#version 430 core

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 color;

out vec3 out_color;

uniform mat4 viewProjMatrix;

void main() {
	gl_Position = viewProjMatrix * vec4(position, 1.0f);
	out_color = color;
}